local RUF = LibStub("AceAddon-3.0"):GetAddon("RUF")
local L = LibStub("AceLocale-3.0"):GetLocale("RUF")
local _, ns = ...
local oUF = ns.oUF
local cfg = {}
cfg = {
	char = {
		unit = {
			["player"] = {
				NickName = "",
			}
		},
	},
	profile = {
		Font = {
			Health = {
				Type = "RUF",
				Size = 28,
				Outline = "OUTLINE",
				Case = 1,
				colorGradient = true,
				colorGradientAtMax = false,
				colorClass = true,
				colorReaction = true,
				colorLevel = false,
				colorPower = false,
				Color = {1,1,1},
			},
			Level = {
				Type = "RUF",
				Size = 18,
				Outline = "OUTLINE",
				Case = 1,
				colorGradient = false,
				colorGradientAtMax = false,
				colorClass = false,
				colorReaction = false,
				colorLevel = true,
				colorPower = false,
				Color = {1,1,1},
			},
			Name = {
				Type = "RUF",
				Size = 21,
				Outline = "OUTLINE",
				Case = 1,
				colorGradient = false,
				colorGradientAtMax = false,
				colorClass = true,
				colorReaction = true,
				colorLevel = false,
				colorPower = false,
				Color = {1,1,1},
			},
			Power = {
				Type = "RUF",
				Size = 18,
				Outline = "OUTLINE",
				Case = 1,
				colorGradient = false,
				colorGradientAtMax = false,
				colorClass = false,
				colorReaction = false,
				colorLevel = false,
				colorPower = true,
				Color = {1,1,1},
			},
		},
		FrameBorder = {
			edgeFile = [[Interface\ChatFrame\ChatFrameBackground]], -- Pixel Border settings. 
			edgeSize = 1,
		},
		Colors = {
			MiscColors = {
				Tapping = {100/255,100/255,100/255,1},
				Disconnected = {1,1,1,0},
				Absorb = {1,1,0,0.5},
				UseClassColors = true,
			},
			ClassColors = { -- !ClassColors Addon Overrides these values.
				DEATHKNIGHT = {207/255,55/255,77/255},
				DEMONHUNTER = {207/255,1,0},
				DRUID = {1,131/255,50/255},
				HUNTER = {161/255,186/255,73/255},
				MAGE = {55/255,197/255,1},
				MONK = {0,169/255,138/255},
				PALADIN = {1,99/255,183/255},
				PRIEST = {1,236/255,211/255},
				ROGUE = {1,216/255,0},
				SHAMAN = {0,107/255,195/255},
				WARLOCK = {150/255,119/255,229/255},
				WARRIOR = {187/255,127/255,75/255},
			},
			PowerColors = {
				[0] = {0,158/255,1}, -- Mana
				[1] = {1,0,55/255}, -- Rage
				[2] = {1,128/255,64/255}, -- Focus
				[3] = {1,1,0}, -- Energy
				[4] = {1,245/255,105/255}, -- Combo Points
				[5] = {128/255,128/255,128/255}, -- Runes
				[6] = {0,211/255,1}, -- Runic Power
				[7] = {150/255,119/255,229/255}, -- Soul Shards
				[8] = {77/255,133/255,230/255}, -- Astral Power
				[9] = {242/255,230/255,153/255}, -- Holy Power
				[10] = {0,158/255,1}, -- Alternate Power
				[11] = {0,128/255,1}, -- Maelstrom
				[12] = {0,247/255,202/255}, -- Chi
				[13] = {102/255,0,204/255}, -- Insanity
				[14] = {0,158/255,1}, -- Unused
				[15] = {0,158/255,1}, -- Unused
				[16] = {0,178/255,250/255}, -- Arcane Charges
				[17] = {207/255,1,0}, -- Fury
				[18] = {1,155/255,0}, -- Pain
				[50] = {180/255,0,20/255}, -- Blood Runes
				[51] = {60/255,205/255,1}, -- Frost Runes
				[52] = {145/255,190/255,15/255}, -- Unholy Runes
			},
			ReactionColors = {
				[1] = {199/255,64/255,64/255}, -- Hated
				[2] = {204/255,97/255,71/255}, -- Hostile Also Enemy Players and NPCs
				[3] = {208/255,130/255,78/255}, -- Unfriendly
				[4] = {218/255,197/255,92/255}, -- Neutral
				[5] = {105/255,169/255,102/255}, -- Friendly Also Allied Players
				[6] = {75/255,175/255,75/255}, -- Honored
				[7] = {68/255,159/255,105/255}, -- Revered
				[8] = {62/255,144/255,133/255}, -- Exalted
				[9] = {0/255,153/255,26/255}, -- Paragon
				[10] = {48/255,113/255,191/255}, -- Friendly Pet
			},
			Power = { -- Priority: Tapping, Disconnected, Power, Class, ClassNPC, ClassPet, Reaction, Smooth
				colorTapping = false,
				colorDisconnected = false,
				colorClass = false,
				colorClassNPC = false,
				colorClassPet = false,
				colorReaction = false,
				colorSmooth = false,-- Percentage Health
				colorPower = true,
				Smooth = true, -- Smoothly Animate
				PowerColor = {40/255, 40/255, 40/255,1},-- Base Power Color
				BarGradient = {
					1,0,55/255, -- 0%: Magenta
					1,1,1, -- 50%: White
					1,1,1 -- 100%: White
				},
				TextGradient= {
					1,0,0, -- 0%: Red
					1,1,0, -- 50%: Yellow
					0,1,0 -- 100%: Green
				},
			},
			Health = { -- Priority: Tapping, Disconnected, Class, ClassNPC, ClassPet, Reaction, Smooth, Health
				colorTapping = true,
				colorDisconnected = true,
				colorClass = false,
				colorClassNPC = false,
				colorClassPet = false,
				colorReaction = false,
				colorSmooth = true,-- Percentage Health
				colorHealth = true,
				Smooth = true, -- Smoothly Animate
				HealthColor = {25/255, 25/255, 25/255,1},-- Base Health Color
				BarGradient = {
					1,1,1, -- 0% HP: White
					25/255,25/255,25/255, -- 50% HP: Grey
					25/255,25/255,25/255 -- 100% HP: Grey
				},
				TextGradient= {
					1,0,0, -- 0% HP: Red
					1,1,0, -- 50% HP: Yellow
					0,1,0 -- 100% HP: Green
				},
			},
		},
		Texture = {
			Health = "RUF 5",
			HealthBG = "RUF 5",
			Power = "RUF 4",
			PowerBG = "RUF 4",
			AdditionalPower = "RUF 4",
			AdditionalPowerBG = "RUF 4",
			Absorb = "RUF 4",
			AbsorbBG = "RUF 4",
			Class = "RUF 4",
			ClassBG = "RUF 4",
		},
		unit = {
			["player"] = {
				Nickname = "",
				Width = 300, -- Width of the Unit Frame.
				Height = 60, -- Height of the Unit Frame.
				PowerHeight = 8, -- Resource Bar base height.
				ClassBarHeight = 8, -- Class Bar base height.
				AdditionalPowerHeight = 8, -- Additional Resource Bar base height.
				Font = { 
					Health = {
						Type = "",
						Size = 28,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = false,
					Class = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 1,
					Health = true,
					Name = true,
					Level = false,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:AFKDND] [Raeli:UpperName]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Absorb = 1,  -- Todo, set below or above power, or class somehow.
					Frame = {
						x = -390,
						y = -200,
						Anchor = 'UIParent',
						AnchorTo = "CENTER",
						AnchorPoint = 'CENTER',
					},
					Power = {
						x = -4,
						y = -18,
						AnchorPoint = 'RIGHT',
					},
					Health = {
						x = -4,
						y = 4,
						AnchorPoint = 'RIGHT',
					},
					Name = {
						x = 4,
						y = 4,
						AnchorPoint = 'LEFT',
					},
					Level = {
						x = 4,
						y = -18,
						AnchorPoint = 'LEFT',
					},
				},
			},
			["pet"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 30, -- Height of the Unit Frame.
				PowerHeight = 4, -- Resource Bar base height.
				AdditionalPowerHeight = 4, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = false,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 0,
					Health = true,
					Name = true,
					Level = false,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:UpperName]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Frame = {
						x = 0,
						y = -4,
						Anchor = 'oUF_RUF_Player',
						AnchorTo = "BOTTOM",
						AnchorPoint = 'TOP',
					},
					Power = {
						x = -4,
						y = -18,
						AnchorPoint = 'RIGHT',
					},
					Health = {
						x = -4,
						y = 1,
						AnchorPoint = 'RIGHT',
					},
					Name = {
						x = 4,
						y = 1,
						AnchorPoint = 'LEFT',
					},
					Level = {
						x = 4,
						y = -18,
						AnchorPoint = 'LEFT',
					},
				},
			},
			["pettarget"] = {

			},
			["target"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 60, -- Height of the Unit Frame.
				PowerHeight = 8, -- Resource Bar base height.
				AdditionalPowerHeight = 8, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 28,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = true,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 1,
					Health = true,
					Name = true,
					Level = true,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:AFKDND] [Raeli:UpperName]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Frame = {
						x = 390,
						y = -200,
						Anchor = 'UIParent',
						AnchorTo = "CENTER",
						AnchorPoint = 'CENTER',
					},
					Power = {
						x = 4,
						y = -18,
						AnchorPoint = 'LEFT',
					},
					Health = {
						x = 4,
						y = 4,
						AnchorPoint = 'LEFT',
					},
					Name = {
						x = -4,
						y = 4,
						AnchorPoint = 'RIGHT',
					},
					Level = {
						x = -4,
						y = -18,
						AnchorPoint = 'RIGHT',
					},
				},
			},
			["targettarget"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 30, -- Height of the Unit Frame.
				PowerHeight = 4, -- Resource Bar base height.
				AdditionalPowerHeight = 4, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = true,
					Class = true,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 0,
					Health = true,
					Name = true,
					Level = false,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:UpperName]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Frame = {
						x = 0,
						y = -4,
						Anchor = 'oUF_RUF_Target',
						AnchorTo = "BOTTOM",
						AnchorPoint = 'TOP',
					},
					Power = {
						x = -4,
						y = 0,
						AnchorPoint = 'CENTER',
					},
					Health = {
						x = 4,
						y = 1,
						AnchorPoint = 'LEFT',
					},
					Name = {
						x = -4,
						y = 1,
						AnchorPoint = 'RIGHT',
					},
					Level = {
						x = -4,
						y = -0,
						AnchorPoint = 'CENTER',
					},
				},
			},
			["focus"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 60, -- Height of the Unit Frame.
				PowerHeight = 8, -- Resource Bar base height.
				AdditionalPowerHeight = 8, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 28,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = false,
					Class = true,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 1,
					Health = true,
					Name = true,
					Level = false,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:UpperName] [Raeli:AFKDND]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Absorb = 1,  -- Todo, set below or above power, or class somehow.
					Frame = {
						x = 4,
						y = 160,
						Anchor = 'UIParent',
						AnchorTo = 'LEFT',
						AnchorPoint = 'LEFT',
					},
					Power = {
						x = -4,
						y = -18,
						AnchorPoint = 'RIGHT',
					},
					Health = {
						x = -4,
						y = 4,
						AnchorPoint = 'RIGHT',
					},
					Name = {
						x = 4,
						y = 4,
						AnchorPoint = 'LEFT',
					},
					Level = {
						x = 4,
						y = -18,
						AnchorPoint = 'LEFT',
					},
				},
			},
			["focustarget"] = {

			},
			["party"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 30, -- Height of the Unit Frame.
				PowerHeight = 4, -- Resource Bar base height.
				AdditionalPowerHeight = 4, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = false,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 0,
					Health = true,
					Name = true,
					Level = false,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:UpperName] [Raeli:AFKDND]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Absorb = 1,  -- Todo, set below or above power, or class somehow.
					Frame = {
						x = 4,
						y = 4,
						Anchor = 'UIParent',
						AnchorTo = "BOTTOMLEFT",
						AnchorPoint = 'BOTTOMLEFT',
					},
					Power = {
						x = 0,
						y = 0,
						AnchorPoint = 'CENTER',
					},
					Health = {
						x = -4,
						y = 1,
						AnchorPoint = 'RIGHT',
					},
					Name = {
						x = 4,
						y = 1,
						AnchorPoint = 'LEFT',
					},
					Level = {
						x = 0,
						y = 0,
						AnchorPoint = 'CENTER',
					},
				},
			},
			["partytarget"] = {

			},
			["boss"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 60, -- Height of the Unit Frame.
				PowerHeight = 8, -- Resource Bar base height.
				AdditionalPowerHeight = 8, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 28,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = false,
					Class = true,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 1,
					Health = true,
					Name = true,
					Level = true,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:UpperName]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Frame = {
						x = 0,
						y = -4,
						Anchor = 'oUF_RUF_Focus',
						AnchorTo = "TOPLEFT",
						AnchorPoint = 'BOTTOMLEFT',
					},
					Power = {
						x = -4,
						y = -18,
						AnchorPoint = 'RIGHT',
					},
					Health = {
						x = -4,
						y = 4,
						AnchorPoint = 'RIGHT',
					},
					Name = {
						x = 4,
						y = 4,
						AnchorPoint = 'LEFT',
					},
					Level = {
						x = 4,
						y = -18,
						AnchorPoint = 'LEFT',
					},
				},
			},
			["bosstarget"] = {

			},
			["arena"] = {
				Width = 300, -- Width of the Unit Frame.
				Height = 60, -- Height of the Unit Frame.
				PowerHeight = 8, -- Resource Bar base height.
				AdditionalPowerHeight = 8, -- Additional Resource Bar base height.
				Font = {
					Health = {
						Type = "",
						Size = 28,
						Outline = "OUTLINE",
					},
					Level = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
					Name = {
						Type = "",
						Size = 21,
						Outline = "OUTLINE",
					},
					Power = {
						Type = "",
						Size = 18,
						Outline = "OUTLINE",
					},
				},
				Bars = {
					ReverseFill = true,
					Class = true,
					Power = true,
					Power = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					AdditionalPower = 1, -- 0 = hidden, 1 = hidden at 0, 2 = always visible
					Absorb = 1, --1 = Bar Overlaying Healthbar, 2 = Additional Bar
				},
				Texts = { -- Text enabled?
					Power = 1,
					Health = true,
					Name = true,
					Level = true,
				},
				Tags = { -- Display Text
					Power = '[Raeli:Power]',
					Health = '[Raeli:FullHealth]',
					Name = '[Raeli:UpperName]',
					Level = '[Raeli:Level]',
				},
				Icons = { -- Icons Enabled?
					PvP = true,
					Mark = true,
					Leader = true,
					Looter = true,
					Ready = true,
					Resting = true,
				},
				Position = {
					Power = 'BOTTOM',
					Class = 'TOP',
					AdditionalPower = 'TOP',
					Frame = {
						x = 0,
						y = -4,
						Anchor = 'oUF_RUF_Focus',
						AnchorTo = "TOPLEFT",
						AnchorPoint = 'BOTTOMLEFT',
					},
					Power = {
						x = -4,
						y = -18,
						AnchorPoint = 'RIGHT',
					},
					Health = {
						x = -4,
						y = 4,
						AnchorPoint = 'RIGHT',
					},
					Name = {
						x = 4,
						y = 4,
						AnchorPoint = 'LEFT',
					},
					Level = {
						x = 4,
						y = -18,
						AnchorPoint = 'LEFT',
					},
				},
			},
			["arenatarget"] = {

			},
		},
		MainFont = [[Interface\AddOns\SharedMedia_MyMedia\font\TGL_0-1451Eng.ttf]],


	},
}
RUF_cfg = cfg

------------------------ !CLASSCOLORS OVERRIDE
-- Override Config with !ClassColors addon settings, so you can easily adjust in game. 
-- Feel free to remove everything in this section if you want to only use the values above.
local function customClassColors()
	if(CUSTOM_CLASS_COLORS) then
		local function updateColors()
			for classToken, color in next, CUSTOM_CLASS_COLORS do
				cfg.profile.Colors.ClassColors[classToken] = {(color.r), (color.g), (color.b)}
				
			end
			for _, obj in next, oUF.objects do
				obj:UpdateAllElements('CUSTOM_CLASS_COLORS')
			end
		end
		updateColors()
		CUSTOM_CLASS_COLORS:RegisterCallback(updateColors)
		return true
	end
end

if(not customClassColors()) then
	local eventHandler = CreateFrame('Frame')
	eventHandler:RegisterEvent('ADDON_LOADED')
	eventHandler:SetScript('OnEvent', function(self)
		if(customClassColors()) then
			self:UnregisterEvent('ADDON_LOADED')
			self:SetScript('OnEvent', nil)
		end
	end)
end
------------------------ !CLASSCOLORS OVERRIDE



------------------------ USE DEFAULT BLIZZARD COLORS
-- Remove the dashes from the start of the next 3 lines to use the default blizzard colours.
--for classToken, color in next, RAID_CLASS_COLORS do
    --colors.class[classToken] = {(color.r), (color.g), (color.b)}
--end
